%if "%{?fedora}" == "5"
%define monodir %{_prefix}/lib
%else
%define monodir %{_libdir}
%endif

Name: gtk-sharp
Version: 1.0.10
Release: 12%{?dist}
Summary: GTK+ and GNOME bindings for Mono
Group: System Environment/Libraries
License: LGPL
URL: http://go-mono.com/sources-latest
Source0: http://go-mono.com/sources/%{name}/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0:	gtksharp-libdir.patch
%if "%{?fedora}" > "5"
BuildRequires: libtool autoconf automake
%endif
BuildRequires:  mono-devel libxml2-devel libgnomeui-devel
BuildRequires:  librsvg2-devel gtkhtml3-devel vte-devel

%description
This package provides a library that allows you to build
fully native graphical GNOME applications using Mono. Gtk#
is a binding to GTK+, the cross platform user interface
toolkit used in GNOME. It includes bindings for Gtk, Atk,
Pango, Gdk, libgnome, libgnomeui and libgnomecanvas. Gtk#
1.x binds GTK+ 2.2.

%package gapi
Group: Development/Languages
Summary: Glib and GObject C source parser and C generator for managed bindings
Requires: perl-XML-LibXML-Common perl-XML-LibXML perl-XML-SAX

%description gapi
This package provides developer tools for the creation and
maintenance of managed bindings to native libraries which utilize
glib and GObject.

%package gapi-devel
Group: Development/Libraries
Summary: pkgconfig for gapi-sharp
Requires: %{name} = %{version}-%{release} pkgconfig

%description gapi-devel
pkgconfig file for gtk-sharp-gapi

%package devel
Group: Development/Libraries
Summary: pkgconfig file for gtk-sharp
Requires: %{name} = %{version}-%{release} pkgconfig

%description devel
pkgconfig file for gtk-sharp

%prep
%setup -q -n gtk-sharp-%{version}
%if "%{?fedora}" > "5"
%patch0 -p1 -b .libdir
autoreconf
%endif
chmod 644 HACKING
chmod 644 glib/glue/error.c

%build
%configure --disable-gda --disable-gnomedb --libdir=%{monodir}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install 
rm %{buildroot}%{monodir}/*.*a
chmod 755 %{buildroot}/%{_bindir}/gconfsharp-schemagen.exe
chmod 755 %{buildroot}/%{_bindir}/gapi*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README AUTHORS README.generator
%{_bindir}/gconfsharp*
%{monodir}/*.so
%{monodir}/mono/gac/gtk-sharp/1*/
%{monodir}/mono/gac/a*-sharp/1*/
%{monodir}/mono/gac/gconf-sharp*/1*/
%{monodir}/mono/gac/gdk-sharp/1*/
%{monodir}/mono/gac/glade-sharp/1*
%{monodir}/mono/gac/glib-sharp/1*/
%{monodir}/mono/gac/gnome-sharp/1*/
%{monodir}/mono/gac/pango-sharp/1*/
%{monodir}/mono/gac/rsvg-sharp/1*/
%{monodir}/mono/gac/vte-sharp/1*/
%{monodir}/mono/gtk-sharp/

%files devel
%defattr(-,root,root,-)
%doc HACKING
%{monodir}/pkgconfig/*-sharp.pc

%files gapi
%defattr(-,root,root,-)
%{_bindir}/gapi*
%{_datadir}/gapi

%files gapi-devel
%defattr(-,root,root,-)
%{monodir}/pkgconfig/gapi.pc

%changelog
* Fri Oct 27 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.0.10-12
- rebuild

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 1.0.10-11
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Sat Sep 23 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.0.10-10
- some chmods for executables and text files

* Mon Sep 18 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.0.10-9
- fixed libdir error. Thanks Rathann :-)

* Sun Sep 17 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.0.10-8
- removed BRs not required
- fixed directory ownership problem
- added additional docs

* Sun Sep 10 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.0.10-7
- patch fix for FC6
- fixed versioning problem
- changed libdir-*.so to monodir-*.so

* Tue Sep 05 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.0.10-6
- rebuild for FE
- added 64 clean for FC6 while keeping things of FC5
- added devel package
- added 64 bit patch (not used in FC5)

* Sun Feb 12 2006 Christopher Aillon <caillon@redhat.com> 1.0.10-5
- Rebuild

* Tue Feb  7 2006 Jesse Keating <jkeating@redhat.com> 1.0.10-4.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Thu Jan 19 2006 Alexander Larsson <alexl@redhat.com> 1.0.10-4
- mono now builds on s390x

* Mon Jan  9 2006 Alexander Larsson <alexl@redhat.com> 1.0.10-3
- Add s390

* Mon Jan  9 2006 Alexander Larsson <alexl@redhat.com> - 1.0.10-2
- rebuils

* Tue Nov 15 2005 Alexander Larsson <alexl@redhat.com> - 2.4.0-1
- Initial version
